HPE Greenlake for File Storage REST APIs
HPE Greenlake for File Storage REST APIs (1.0.0)
Filters the resources returned by the API. The filter expression compares a property with a literal value. The following comparison operators are supported:
eq: Equals. Supported for number, boolean, and string properties.gt: Greater than. Supported for number and timestamp properties.lt: Less than. Supported for number and timestamp properties.in: Checks whether a value exists in an array of strings. Supported properties:idnamegenerationshareCountExamples:GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings?filter=id eq '04e3479f1449267b149eaa2678e7fb99'GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings?filter=name eq 'TestShareSetting'
The offset of the first item in the collection to return
A comma-separated list of properties to sort by, followed by a direction indicator ("asc" or "desc"). If no direction indicator is specified the default order is ascending. Sorting is supported for the following attributes:
- name
- createdAt Example: GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings?sort=name desc
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Add hosts to access NFS shares using any of the following expressions in a comma-separated list as an array- a single IP, a range of IPs in CIDR format (10.168.10.1/15) or *.
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings/{sharesettingsId}
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings/{sharesettingsId}
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings/{sharesettingsId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings/{sharesettingsId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/share-settings/{sharesettingsId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Add hosts to access NFS shares using any of the following expressions in a comma-separated list as an array- a single IP, a range of IPs in CIDR format (10.168.10.1/15) or *.
{ "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "string", "errMessage": "string" }, "createdAt": { "ms": 0, "tz": "string" }, "customerId": "string", "displayname": "string", "domain": "string", "generation": 0, "hostAccess": [ { … } ], "hostCount": 1, "id": "7CE751P312", "name": "string", "resourceUri": "string", "settingId": 0, "shareCount": 1, "state": "NORMAL", "systemId": "7CE751P312", "systemWwn": "7CE751P312", "type": "string" }